Bug 1473903 - Enable intra-day times for RQuantLib
Enable intra-day times for RQuantLib
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: QuantLib (Show other bugs)
26
All Linux
unspecified Severity high
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-22 04:23 EDT by Olavi Ourson
Modified: 2017-08-02 12:49 EDT (History)
2 users (show)

See Also:
Fixed In Version: QuantLib-1.10-3.fc26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-02 12:49:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Olavi Ourson 2017-07-22 04:23:27 EDT
Description of problem:

On installing RQuantLib package in R a message is printed that intra-day time support is not enabled in QuantLib.

Simple fix would be to just recompile QuantLib with --enable-intraday passed to configure.

This would improve the usability of RQuantLib significantly.


Version-Release number of selected component (if applicable):

QuantLib-1.10-1.fc26.x86_64

How reproducible:

Install RQuantLib for example in R console.


Steps to Reproduce:
1. Start R console
2. Run the command "install.packages('RQuantLib')"
3.

Actual results:
Package installs. but get message of missing intraday times support.

Expected results:


Additional info:
Comment 1 Olavi Ourson 2017-07-22 04:33:15 EDT
To clarify, there's no messages about intra-day support when building/installing the R package, but when you load the library in R the following is printed:

> library(RQuantLib)
Sufficient QuantLib version with insufficient configuration.
Try configuring your build with the --enable-intraday argument.
Comment 2 Fedora Update System 2017-07-23 12:21:47 EDT
QuantLib-1.10-3.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-83b85e2ef4
Comment 3 Fedora Update System 2017-07-25 00:24:48 EDT
QuantLib-1.10-3.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-83b85e2ef4
Comment 4 Fedora Update System 2017-08-02 12:49:34 EDT
QuantLib-1.10-3.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.